Bug 141876 - Print/print preview does not display Lucida Typewriter
Print/print preview does not display Lucida Typewriter
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-04 10:50 EST by Emmanuel Kowalski
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.12.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 02:02:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A screenshot of a print preview of a test message (19.34 KB, image/png)
2004-12-04 10:56 EST, Emmanuel Kowalski
no flags Details
Same message as previous attachment with monospace (20.36 KB, image/png)
2004-12-04 10:57 EST, Emmanuel Kowalski
no flags Details
A screenshot of print preview from gedit with Lucida font (16.23 KB, image/png)
2004-12-04 10:58 EST, Emmanuel Kowalski
no flags Details

  None (edit)
Description Emmanuel Kowalski 2004-12-04 10:50:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.18

Description of problem:
Evolution does not display in print preview, and does not print,
email messages when using the Lucida Typewriter font for fixed
font.

Version-Release number of selected component (if applicable):
evolution-2.0.2-3

How reproducible:
Always

Steps to Reproduce:
1. Select Lucida Typewriter as font (Tools/Settings/Mail preferences/
Message fonts/Terminal font )
2. Select a message
3. Ask for print preview
    

Actual Results:  The headers of the message and the footer are
correct, but the 
actual text of the message does not appear (an empty box indicates
where it should be). When printed, this is reproduced.

Expected Results:  The message should appear in the print preview
window, and print
properly.

Additional info:

Other programs (e.g. gedit) do not seem to have problem with 
printing Lucida Typewriter text.
Comment 1 Emmanuel Kowalski 2004-12-04 10:56:43 EST
Created attachment 107894 [details]
A screenshot of a print preview of a test message

This is a print preview of a message with Lucida Typewriter selected as
terminal font.
Comment 2 Emmanuel Kowalski 2004-12-04 10:57:40 EST
Created attachment 107895 [details]
Same message as previous attachment with monospace

This is the same message with Monospace font; the message displays in
print preview as it should.
Comment 3 Emmanuel Kowalski 2004-12-04 10:58:37 EST
Created attachment 107896 [details]
A screenshot of print preview from gedit with Lucida font

This shows that the print preview from gedit can display text in Lucida
Typewriter font.
Comment 4 Dave Malcolm 2004-12-06 15:45:27 EST
Thanks.  I can reproduce this bug on my own machine.  The "box" seems
to take up the room that the text would have occupied e.g. on a long
email it can take multiple pages.
Comment 5 Derek Poon 2005-05-05 19:50:00 EDT
I've just spent a lot of time troubleshooting this bug too.  Here's what I found:

LucidaTypewriter is a bitmap font.  (It's supplied by the bitmap-fonts RPM -- to
verify this: mv /usr/share/fonts/bitmap-fonts /usr/tmp ; fc-cache
/usr/share/fonts ; restart evolution and see that LucidaTypewriter disappears
from the font choices.)  If you try another of the bitmap fonts, such as
Console?x?, Evolution will also fail to print it.
Comment 6 Dave Malcolm 2005-05-05 20:41:19 EDT
A similar problem got filed upstream here:
http://bugzilla.gnome.org/show_bug.cgi?id=302904

What happend if you try printing/print preview with bitmap fonts from other
GNOME apps? e.g. gedit
Comment 7 Dave Malcolm 2005-05-05 20:42:34 EDT
Sorry, I just re-read comment #3 - it looks to be Evolution-specific.
Comment 8 Derek Poon 2005-05-05 22:38:54 EDT
gedit avoids the problem by not presenting a font choice to the user at all for
printing!  The font selector in gedit's preferences dialog affects only the
screen, not the printing.

In the gedit source code, in gedit-prefs-manager.c, function
gedit_prefs_manager_get_print_font_body(void), you'll see where it decides what
font to use.  It does a gconf lookup on
/apps/gedit-2/preferences/print/fonts/print_font_body_pango and
/apps/gedit-2/preferences/print/fonts/print_font_body, defaulting to "Monospace 9".

If you fire up gconf-editor and set /apps/gedit-2/.../print_font_body to
"LucidaTypewriter Sans 11" and .../print_font_body_pango to "LucidaTypewriter
11", you'll see the print preview come out blank in exactly the same way that
Evolution fails.

So, this suggests that Evolution should either semi-hard-code the print font, or
add another font choice ("Print Font") in addition to Standard Font and Terminal
Font.
Comment 9 Derek Poon 2005-05-05 22:46:26 EDT
FYI, the code path in Evolution for setting the font is as follows:

Evolution mail prefs UI sends a gconf signal
mail-config.c: config_write_style() writes a .gtkrc file
gtkhtml picks it up in gtkhtml.c: gtk_html_set_fonts(...)

gtkhtml takes care of the printing
Comment 10 Dave Malcolm 2005-05-05 22:50:46 EDT
Thanks for the comments.  I'm going to reassign this to libgnomeprint22 since it
appears to be a generalized problem with printing
Comment 11 Derek Poon 2005-05-05 23:19:35 EDT
(In reply to comment #8)
> So, this suggests that Evolution should either semi-hard-code the print
> font, or add another font choice ("Print Font") in addition to Standard Font
> and Terminal Font.

On second thought, neither of my suggestions is ideal.  We still haven't found
the root cause for the blank printout.  Assuming that it really is impossible to
print using a bitmap font, the next best thing would be to automatically
substitute a similar font.  But that seems more like upstream development work.

Comment 12 Matthew Miller 2006-07-10 18:11:01 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 13 Emmanuel Kowalski 2006-07-11 01:55:11 EDT
The bug is still present in the current FC5 version:

[root@semillon log]# rpm -q evolution
evolution-2.6.2-1.fc5.5
Comment 14 Matthew Miller 2006-07-11 11:49:12 EDT
Thanks.
Comment 15 John (J5) Palmieri 2006-07-11 12:51:21 EDT
Looks like a pango bitmap font issue as this is present even when using the new
gtkprint stuff.
Comment 16 Behdad Esfahbod 2006-07-11 22:50:40 EDT
J5, did you test with cairo 1.2?

It's more of a cairo issue, to be exact...
Comment 17 petrosyan 2008-03-10 01:26:11 EDT
Fedora Core 5 is no longer maintained. Is this bug still present in Fedora 8?
Comment 18 Emmanuel Kowalski 2008-03-10 02:02:45 EDT
The bug is not there with Fedora 8, but the print preview is quite ugly and
blocky (much worse than with gedit). But of course there are many better
choices of (non bitmap) font, so this is now a very minor issue.

Note You need to log in before you can comment on or make changes to this bug.